LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
SimpleSystemMail Service Referencepublished

Specifies a SimpleSystemMail service. More...

`import"SimpleSystemMail.idl";`

Inheritance diagram for SimpleSystemMail:

## Additional Inherited Members
Public Member Functions inherited from XSimpleMailClientSupplier
XSimpleMailClient | querySimpleMailClient ()
| Allows a client to query for an object that implements XSimpleMailClient. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specifies a SimpleSystemMail service.

Implementations of such a service implement an interface to send mail messages via the currently configured system mail client.

See Also
  com::sun::star::system::XSimpleMailClient

The documentation for this service was generated from the following file:

- com/sun/star/system/SimpleSystemMail.idl